/*  
      ....                                                  
   .xH888888Hx.                                              
 .H8888888888888:       x.    .        u.    u.              
 888*"""?""*88888X    .@88k  z88u    x@88k u@88c.      .u    
'f     d8x.   ^%88k  ~"8888 ^8888   ^"8888""8888"   ud8888.  
'>    <88888X   '?8    8888  888R     8888  888R  :888'8888. 
 `:..:`888888>    8>   8888  888R     8888  888R  d888 '88%" 
        `"*88     X    8888  888R     8888  888R  8888.+"    
   .xHHhx.."      !    8888 ,888B .   8888  888R  8888L      
  X88888888hx. ..!    "8888Y 8888"   "*88*" 8888" '8888c. .+ 
    "*888888888"      `Y"   'YP       ""   'Y"    "88888%   
        ^"***"`                                      "YP'    
                                                             
 */


* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* Dimensionner les diapos et leur contenu */
/* Ajouter un fond unique, couvrant l'écran */
/* Fixer le fond, et hop ! */
section {
  height: 100vh;
  color: white;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  scroll-snap-align: start;
}

section:first-of-type {
  text-align: center;
}

.scrollerhtml {
  height: 100vh;
  overflow-y: scroll;
  scroll-snap-type: y mandatory;
}

header {
  z-index: 19;
  padding: 1.5vh;
  position: fixed;
}

.ham{
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
  transition: transform 400ms;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.hamRotate.active {
  transform: rotate(45deg);
}
.hamRotate180.active {
  transform: rotate(180deg);
}

.line {
  fill:none;
  transition: stroke-dasharray 400ms, stroke-dashoffset 400ms;
  stroke:#ffffff;
  stroke-width:5.5;
  stroke-linecap:round;
}

.ham6 .top {
  stroke-dasharray: 40 172;
}
.ham6 .middle {
  stroke-dasharray: 40 111;
}
.ham6 .bottom {
  stroke-dasharray: 40 172;
}
.ham6.active .top {
  stroke-dashoffset: -132px;
}
.ham6.active .middle {
  stroke-dashoffset: -71px;
}
.ham6.active .bottom {
  stroke-dashoffset: -132px;
}

.show{
  z-index: -5;
  position: absolute;
  background-color: #bebab7e0;
  height: 100vh;
  top: 0vh;
  left: 0vh;
  list-style: none;
  width: 40vh;
  text-align: center;
  transition: left 0.5s ease; /* Ajout de la transition pour une animation fluide */
}

.hidden{
  z-index: -5;
  position: absolute;
  background-color: #bebab7e0;
  height: 100vh;
  top: 0vh;
  left: -50vh;
  list-style: none;
  width: 40vh;
  text-align: center;
  transition: left 0.5s ease;
}

li{
  position: relative;
  top: 20vh;
  font-size: x-large;
  font-family: 'DINNextLTPro-Light', sans-serif;
}

.menu_lien{
  text-decoration: none;
  color: white;
}

footer {
  z-index: 3;
  margin-left: 95vw;
  position: fixed;
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 5vh;
  justify-content: space-between;
  padding-top: 5vh;
  padding-bottom: 5vh;
}

/* video bande annonce dune*/
.ytp-cued-thumbnail-overlay-image {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.dune {
  width: 25vh;
}

a svg {
  height: auto;
  height: 5vh;
  color: white;
  margin-top: 1.5vh;
  margin-bottom: 1.5vh;
}

@font-face {
  font-family: 'DINNextLTPro-Light';
  src: url('../fonts/DINNextLTPro-Light.ttf') format('truetype');
}

.titre1 {
  font-family: 'DINNextLTPro-Light', sans-serif;
  font-size: 5vh;
}

/* les differentes section */
section:nth-of-type(1) {
  /* On peut aussi mettre un gif animé ou un webp animé... */
  background-image: url('../medias/images/dune-timothee-chalamet.jpg');
  display: grid;
  grid-template-rows: 180px auto;
  grid-template-columns: auto auto;
}

#player2 {
  grid-area: 2 / 1;
}

section:nth-of-type(2) {
  background-image: url('../medias/images/Dune06.webp');
  position: relative;
}

section:nth-of-type(3) {
  background-image: url('../medias/images/Dune02.webp');
  position: relative;
}

section:nth-of-type(4) {
  background-image: url('../medias/images/dune-production_01.jpg');
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
}

section:nth-of-type(5) {
  background-image: url('../medias/images/Dune04.webp');
  position: relative;
}

section:nth-of-type(6) {
  background-image: url('../medias/poster/dune_poster_vierge.png');
  position: relative;
}

/* quand on scroll la video fait ca */
#video.scroll {
  z-index: 20;
  position: fixed;
  width: 23vw;
  height: calc(23vw * 3 / 4);
  top: 5vh;
  right: 5%;
}

.titre2 {
  position: absolute;
  font-family: 'DINNextLTPro-Light', sans-serif;
  font-size: 4vh;
  top: 56vh;
  left: 15vw;
}

/* s'applique au texte avec contenu comme classe (réutilisable)*/
.content {
  font-family: 'DINNextLTPro-Light', sans-serif;
  position: absolute;
  top: 60vh;
  background-color: #bebab7e0;
  font-size: 2vh;
  columns: 3;
  column-rule: 1px solid white;
  column-gap: 5vh;
  padding: 8vh;
  text-align: justify;

}

/* image section 2 */
.dede {
  position: absolute;
  width: 25%;
  top: 33vh;
  left: 60vw;
}

.carroussel {
  width: 50vw;
  height: 100vh;
  margin: auto;
  position: relative;
}

.imagecar {
  z-index: 19;
  position: absolute;
  top: 5vh;
  left: 50vh;
  object-fit: cover;
  width: 60%;
}

.imagecar:not(:first-of-type) {
  display: none;
}

.arrowL {
  z-index: 5;
  position: absolute;
  left: 5vh;
  bottom: 45vh;
}

.arrowR {
  z-index: 5;
  position: absolute;
  right: 5vh;
  bottom: 45vh;
}

/*le texte et au dessus c'est la div*/
.arrowp {
  user-select: none;
  z-index: 5;
  font-size: 6rem;
  font-weight: 400;
  transform: scaleY(3);
}

/* le titre "character" de la section 3*/
.soustitre1 {
  font-family: 'DINNextLTPro-Light';
  position: absolute;
  top: 58vh;
  left: 36vh;
  font-size: 5vh;
}

/*réutilisable pour la section 5 (peut etre)*/
.zoneGrise {
  font-family: 'DINNextLTPro-Light', sans-serif;
  position: absolute;
  background-color: #bebab7e0;
  width: 100%;
  height: 30vh;
  top: 65vh;
}

/*le texte qui change en fonction de l'image */
.character>p {
  position: absolute;
  left: 35vh;
  top: 5vh;
  font-size: xx-large;
  text-align: center;
  transform-origin: center;
}

/* le titre videos et images de la section 4*/
.soustitre2 {
  font-family: 'DINNextLTPro-Light';
  position: absolute;
  top: 15vh;
  left: 40vh;
  font-size: 5vh;
}

/*la zone grise du carroussel section 4*/
.contenant {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-around;
  align-items: center;
  background-color: #bebab7e0;
  height: auto;
}

/* le carroussel de la section 4*/
.carroussel2 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 75vw;
  height: 60vh;
  position: relative;
  align-items: center;
}

/* la meme chose que pour le premier carroussel */
.imagecar2 {
  z-index: 10;
  position: absolute;
  object-fit: cover;
  width: 80%;
}

.imagecar2:not(:first-of-type) {
  display: none;
}

.arrowL2 {
  z-index: 5;
  left: 5vh;
  bottom: 45vh;
}

.arrowR2 {
  z-index: 5;
  right: 5vh;
  bottom: 45vh;
}

.arrowp2 {
  user-select: none;
  z-index: 5;
  font-size: 6rem;
  font-weight: 400;
  transform: scaleY(3);
}

/*section 5*/

/* Dimensionner la carte */
#carte {
  position: absolute;
  left: 85vh;
  top: 35vh;
  width: 50vw;
  height: 50vh;
  margin: auto;
}

/* le titre "find a theater" de la section 5*/
.soustitre3 {
  font-family: 'DINNextLTPro-Light';
  position: absolute;
  top: 45vh;
  left: 20vh;
  font-size: 5vh;
}

/* la zone grise contenant la carte */
.zoneGrise2 {
  font-family: 'DINNextLTPro-Light', sans-serif;
  position: absolute;
  background-color: #bebab7e0;
  width: 100%;
  height: 45vh;
  top: 50vh;
}

p>a {
  color: white;
  text-decoration: none;
}

.txt {
  position: absolute;
  left: 15vh;
  top: 5vh;
}

.soustitre4 {
  font-family: 'DINNextLTPro-Light';
  position: absolute;
  font-size: 5vh;
  top: 15vh;
  left: 25vh;
}

.gridActor{
  width: 35vw;
  display: grid;
  gap: 1vh;
  grid-template-rows: auto auto auto ;
  grid-template-columns: auto auto auto auto auto;
}

.placement{
  display: flex;
  width: 100%;
  height: auto;
  justify-content: center;
  padding-top: 20vh;
  gap: 5vw;
}

.imgActor{
  position: relative;
}

.imgActor>img{
  width: 100%;
}

.imgActor>h3{
  font-family: 'DINNextLTPro-Light', sans-serif;
  z-index: 10;
  font-size: 1em;
  text-align: center;
  width: 100%;
  background-color: #bebab7e0;
  position: absolute;
  opacity: 0%;
  transition-duration: 0.5s;
  transition-timing-function: cubic-bezier(ease-in-out);
}

.imgActor:hover>h3{
  opacity: 100%;
}

.resumActor{
  background-color: #bebab7e0;
  padding: 1vw;
  width: 40vw;
  display: grid;
  grid-template-rows: 25vh 1fr;
  grid-template-columns: auto 1fr;
  row-gap: 1%;
  column-gap: 1%;
  justify-items: center;
  align-items: start;
  margin-right: 7vw;
}

.profile{
  height: 25vh;
  grid-row: 1;
  grid-column: 1; 
}

.iPerso{
  font-family: 'DINNextLTPro-Light', sans-serif;
  grid-row: 1;
  grid-column: 2;
  justify-self: start;
}

.iPerso>*{
  margin-bottom: 5%;
}

.bio{
  font-family: 'DINNextLTPro-Light';
  grid-row: 2;
  grid-column: 1 / 3;
  font-size: 0.8rem;
  columns: 2;
  text-align: justify;
}